diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/test-lte-x2-handover.cc ns-3.39/src/lte/test/test-lte-x2-handover.cc
--- ns-3.38/src/lte/test/test-lte-x2-handover.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/test-lte-x2-handover.cc	2023-07-05 14:23:48.029428000 -0700
@@ -427,7 +427,7 @@
             Ptr<NetDevice> ueDev = ueDevices.Get(u);
             for (uint32_t b = 0; b < m_nDedicatedBearers; ++b)
             {
-                enum EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
+                EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
                 EpsBearer bearer(q);
                 m_lteHelper->ActivateDataRadioBearer(ueDev, bearer);
             }
@@ -708,48 +708,48 @@
     ue2bwd.sourceEnbDeviceIndex = 1;
     ue2bwd.targetEnbDeviceIndex = 0;
 
-    std::string hel0name("none");
-    std::list<HandoverEvent> hel0;
+    std::string handoverEventList0name("none");
+    std::list<HandoverEvent> handoverEventList0;
 
-    std::string hel1name("1 fwd");
-    const std::list<HandoverEvent> hel1{
+    std::string handoverEventList1name("1 fwd");
+    const std::list<HandoverEvent> handoverEventList1{
         ue1fwd,
     };
 
-    std::string hel2name("1 fwd & bwd");
-    const std::list<HandoverEvent> hel2{
+    std::string handoverEventList2name("1 fwd & bwd");
+    const std::list<HandoverEvent> handoverEventList2{
         ue1fwd,
         ue1bwd,
     };
 
-    std::string hel3name("1 fwd & bwd & fwd");
-    const std::list<HandoverEvent> hel3{
+    std::string handoverEventList3name("1 fwd & bwd & fwd");
+    const std::list<HandoverEvent> handoverEventList3{
         ue1fwd,
         ue1bwd,
         ue1fwdagain,
     };
 
-    std::string hel4name("1+2 fwd");
-    const std::list<HandoverEvent> hel4{
+    std::string handoverEventList4name("1+2 fwd");
+    const std::list<HandoverEvent> handoverEventList4{
         ue1fwd,
         ue2fwd,
     };
 
-    std::string hel5name("1+2 fwd & bwd");
-    const std::list<HandoverEvent> hel5{
+    std::string handoverEventList5name("1+2 fwd & bwd");
+    const std::list<HandoverEvent> handoverEventList5{
         ue1fwd,
         ue1bwd,
         ue2fwd,
         ue2bwd,
     };
 
-    // std::string hel6name("2 fwd");
-    // const std::list<HandoverEvent> hel6{
+    // std::string handoverEventList6name("2 fwd");
+    // const std::list<HandoverEvent> handoverEventList6{
     //     ue2fwd,
     // };
 
-    // std::string hel7name("2 fwd & bwd");
-    // const std::list<HandoverEvent> hel7{
+    // std::string handoverEventList7name("2 fwd & bwd");
+    // const std::list<HandoverEvent> handoverEventList7{
     //     ue2fwd,
     //     ue2bwd,
     // };
@@ -766,126 +766,326 @@
         for (int32_t useIdealRrc = 1; useIdealRrc >= 0; --useIdealRrc)
         {
             // nUes, nDBearers, helist, name, sched, admitHo, idealRrc
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 0, hel0, hel0name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 0, hel0, hel0name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 5, hel0, hel0name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 5, hel0, hel0name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 0, hel1, hel1name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 1, hel1, hel1name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 2, hel1, hel1name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 0, hel1, hel1name, *schedIt, false, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 1, hel1, hel1name, *schedIt, false, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 2, hel1, hel1name, *schedIt, false, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 0, hel1, hel1name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 1, hel1, hel1name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 2, hel1, hel1name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 0, hel1, hel1name, *schedIt, false, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 1, hel1, hel1name, *schedIt, false, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 2, hel1, hel1name, *schedIt, false, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 0, hel2, hel2name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 1, hel2, hel2name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 2, hel2, hel2name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 0, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 1, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(1, 2, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 0, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 1, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 2, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::QUICK);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 0, hel4, hel4name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 1, hel4, hel4name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 2, hel4, hel4name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 0, hel5, hel5name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 1, hel5, hel5name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(2, 2, hel5, hel5name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 0, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 1, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 2, hel3, hel3name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 0, hel4, hel4name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 1, hel4, hel4name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 2, hel4, hel4name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 0, hel5, hel5name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 1, hel5, hel5name, *schedIt, true, useIdealRrc),
-                TestCase::EXTENSIVE);
-            AddTestCase(
-                new LteX2HandoverTestCase(3, 2, hel5, hel5name, *schedIt, true, useIdealRrc),
-                TestCase::QUICK);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  0,
+                                                  handoverEventList0,
+                                                  handoverEventList0name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  0,
+                                                  handoverEventList0,
+                                                  handoverEventList0name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  5,
+                                                  handoverEventList0,
+                                                  handoverEventList0name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  5,
+                                                  handoverEventList0,
+                                                  handoverEventList0name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  0,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  1,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  2,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  0,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  false,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  1,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  false,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  2,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  false,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  0,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  1,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  2,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  0,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  false,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  1,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  false,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  2,
+                                                  handoverEventList1,
+                                                  handoverEventList1name,
+                                                  *schedIt,
+                                                  false,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  0,
+                                                  handoverEventList2,
+                                                  handoverEventList2name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  1,
+                                                  handoverEventList2,
+                                                  handoverEventList2name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  2,
+                                                  handoverEventList2,
+                                                  handoverEventList2name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  0,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  1,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(1,
+                                                  2,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  0,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  1,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  2,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::QUICK);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  0,
+                                                  handoverEventList4,
+                                                  handoverEventList4name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  1,
+                                                  handoverEventList4,
+                                                  handoverEventList4name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  2,
+                                                  handoverEventList4,
+                                                  handoverEventList4name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  0,
+                                                  handoverEventList5,
+                                                  handoverEventList5name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  1,
+                                                  handoverEventList5,
+                                                  handoverEventList5name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(2,
+                                                  2,
+                                                  handoverEventList5,
+                                                  handoverEventList5name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  0,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  1,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  2,
+                                                  handoverEventList3,
+                                                  handoverEventList3name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  0,
+                                                  handoverEventList4,
+                                                  handoverEventList4name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  1,
+                                                  handoverEventList4,
+                                                  handoverEventList4name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  2,
+                                                  handoverEventList4,
+                                                  handoverEventList4name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  0,
+                                                  handoverEventList5,
+                                                  handoverEventList5name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  1,
+                                                  handoverEventList5,
+                                                  handoverEventList5name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::EXTENSIVE);
+            AddTestCase(new LteX2HandoverTestCase(3,
+                                                  2,
+                                                  handoverEventList5,
+                                                  handoverEventList5name,
+                                                  *schedIt,
+                                                  true,
+                                                  useIdealRrc),
+                        TestCase::QUICK);
         }
     }
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/lte/test/test-lte-x2-handover-measures.cc ns-3.39/src/lte/test/test-lte-x2-handover-measures.cc
--- ns-3.38/src/lte/test/test-lte-x2-handover-measures.cc	2023-03-16 20:54:23.784869000 -0700
+++ ns-3.39/src/lte/test/test-lte-x2-handover-measures.cc	2023-07-05 14:23:48.029428000 -0700
@@ -527,7 +527,7 @@
             Ptr<NetDevice> ueDev = ueDevices.Get(u);
             for (uint32_t b = 0; b < m_nDedicatedBearers; ++b)
             {
-                enum EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
+                EpsBearer::Qci q = EpsBearer::NGBR_VIDEO_TCP_DEFAULT;
                 EpsBearer bearer(q);
                 m_lteHelper->ActivateDataRadioBearer(ueDev, bearer);
             }
@@ -565,13 +565,12 @@
                                 ueDevices.Get(checkPointEventIt->ueDeviceIndex),
                                 enbDevices.Get(checkPointEventIt->enbDeviceIndex));
 
-            Time saveStatsTime = checkPointTime;
-            Simulator::Schedule(saveStatsTime,
+            Simulator::Schedule(checkPointTime,
                                 &LteX2HandoverMeasuresTestCase::SaveStats,
                                 this,
                                 checkPointEventIt->ueDeviceIndex);
 
-            Time checkStats = saveStatsTime + m_statsDuration;
+            Time checkStats = checkPointTime + m_statsDuration;
             Simulator::Schedule(checkStats,
                                 &LteX2HandoverMeasuresTestCase::CheckStats,
                                 this,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/mesh/model/dot11s/hwmp-protocol.h ns-3.39/src/mesh/model/dot11s/hwmp-protocol.h
--- ns-3.38/src/mesh/model/dot11s/hwmp-protocol.h	2023-03-16 20:54:23.788869100 -0700
+++ ns-3.39/src/mesh/model/dot11s/hwmp-protocol.h	2023-07-05 14:23:48.033428200 -0700
@@ -136,12 +136,12 @@
     bool Install(Ptr<MeshPointDevice> mp);
     /**
      * Peer link status function
-     * \param meshPontAddress The MAC address of the mesh point
+     * \param meshPointAddress The MAC address of the mesh point
      * \param peerAddress The MAC address of the peer
      * \param interface The interface number
      * \param status The status of the peer link
      */
-    void PeerLinkStatus(Mac48Address meshPontAddress,
+    void PeerLinkStatus(Mac48Address meshPointAddress,
                         Mac48Address peerAddress,
                         uint32_t interface,
                         bool status);
@@ -355,9 +355,9 @@
     /// Route discovery time:
     TracedCallback<Time> m_routeDiscoveryTimeCallback;
     /// RouteChangeTracedCallback typedef
-    typedef TracedCallback<struct RouteChange> RouteChangeTracedCallback;
+    typedef TracedCallback<RouteChange> RouteChangeTracedCallback;
     /// Route change trace source
-    TracedCallback<struct RouteChange> m_routeChangeTraceSource;
+    TracedCallback<RouteChange> m_routeChangeTraceSource;
 
     // /\name Methods related to Queue/Dequeue procedures
     ///@{
